summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Tim Dickson <dickson.tim@googlemail.com>2015-03-29 22:17:43 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-03-30 09:09:09 +0700
commit0e3aeaec5874f45e842220221be86cf3c037408e (patch)
tree38765efc422fcaa1027df8ecbab85cf8685ae40d
parent85146238303654eaa4c19bc9337800d2899c5280 (diff)
downloadslackbuilds-0e3aeaec5.tar.gz
slackbuilds-0e3aeaec5.tar.xz
libraries/gtkhtml: Added (lightweight HTML rendering engine).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/gtkhtml/README9
-rw-r--r--libraries/gtkhtml/doinst.sh3
-rw-r--r--libraries/gtkhtml/gtkhtml.SlackBuild99
-rw-r--r--libraries/gtkhtml/gtkhtml.info10
-rw-r--r--libraries/gtkhtml/slack-desc19
5 files changed, 140 insertions, 0 deletions
diff --git a/libraries/gtkhtml/README b/libraries/gtkhtml/README
new file mode 100644
index 0000000000..cae4c2179d
--- /dev/null
+++ b/libraries/gtkhtml/README
@@ -0,0 +1,9 @@
+gtkhtml is a lightweight HTML rendering/printing/editing engine
+
+GtkHTML is a lightweight HTML rendering/printing/editing engine. It
+was originally based on KHTMLW, part of the KDE project, but is now
+being developed independently.
+
+GtkHTML is currently maintained by the Evolution team and no longer
+has its own mailing list. The best place to ask GtkHTML questions
+is on the "evolution-hackers" mailing list.
diff --git a/libraries/gtkhtml/doinst.sh b/libraries/gtkhtml/doinst.sh
new file mode 100644
index 0000000000..682c942551
--- /dev/null
+++ b/libraries/gtkhtml/doinst.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+#we installed a library so run ldconfig
+/sbin/ldconfig
diff --git a/libraries/gtkhtml/gtkhtml.SlackBuild b/libraries/gtkhtml/gtkhtml.SlackBuild
new file mode 100644
index 0000000000..059530861c
--- /dev/null
+++ b/libraries/gtkhtml/gtkhtml.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for gtkhtml
+
+# Copyright 2015 Tim Dickson, email: dickson.tim at googlemail.co.uk
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gtkhtml
+VERSION=${VERSION:-4.8.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xJvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/share/doc/$PRGNAM-$VERSION
+cp AUTHORS INSTALL TODO BUGS NEWS COPYING ChangeLog README $PKG/usr/share/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/share/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/libraries/gtkhtml/gtkhtml.info b/libraries/gtkhtml/gtkhtml.info
new file mode 100644
index 0000000000..f0b50b8ce4
--- /dev/null
+++ b/libraries/gtkhtml/gtkhtml.info
@@ -0,0 +1,10 @@
+PRGNAM="gtkhtml"
+VERSION="4.8.5"
+HOMEPAGE="https://launchpad.net/gtkhtml"
+DOWNLOAD="http://ftp.acc.umu.se/pub/gnome/sources/gtkhtml/4.8/gtkhtml-4.8.5.tar.xz"
+MD5SUM="a146d2ffdf52f6aa25badb75436b6f4d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Tim Dickson"
+EMAIL="dickson.tim@googlemail.com"
diff --git a/libraries/gtkhtml/slack-desc b/libraries/gtkhtml/slack-desc
new file mode 100644
index 0000000000..11d4cc7b90
--- /dev/null
+++ b/libraries/gtkhtml/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gtkhtml: gtkhtml (lightweight HTML rendering/printing/editing engine)
+gtkhtml:
+gtkhtml: GtkHTML is a lightweight HTML rendering/printing/editing engine. It
+gtkhtml: was originally based on KHTMLW, part of the KDE project, but is now
+gtkhtml: being developed independently.
+gtkhtml:
+gtkhtml: GtkHTML is currently maintained by the Evolution team and no longer
+gtkhtml: has its own mailing list. The best place to ask GtkHTML questions
+gtkhtml: is on the "evolution-hackers" mailing list.
+gtkhtml:
+gtkhtml: